> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noisemaker.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Start a page evaluation job for a workspace



## OpenAPI

````yaml /openapi.json post /api/v1/workspaces/{workspace}/page-evaluation
openapi: 3.0.3
info:
  title: ai-cmo.dev Services API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/workspaces/{workspace}/page-evaluation:
    post:
      summary: Start a page evaluation job for a workspace
      operationId: startPageEvaluation
      parameters:
        - name: workspace
          in: path
          required: true
          schema:
            type: string
            pattern: ^[a-z0-9-]+$
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StartPageEvaluation'
      responses:
        '202':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobStatus'
      security:
        - cookieAuth: []
        - bearerAuth:
            - runs:write
components:
  schemas:
    StartPageEvaluation:
      type: object
      properties:
        urls:
          type: array
          items:
            type: string
      required:
        - urls
      additionalProperties: false
    JobStatus:
      type: object
      properties:
        id:
          type: string
        brand:
          type: string
        kind:
          type: string
        pid:
          type: integer
          exclusiveMinimum: true
          minimum: 0
        logPath:
          type: string
        startedAt:
          type: string
        finishedAt:
          type: string
          nullable: true
        status:
          type: string
          enum:
            - running
            - succeeded
            - failed
            - cancelled
        progress:
          type: object
          properties:
            completedCalls:
              type: integer
              nullable: true
            totalCalls:
              type: integer
              nullable: true
            percent:
              type: number
              minimum: 0
              maximum: 100
            source:
              type: string
              enum:
                - calls
                - bytes
          required:
            - completedCalls
            - totalCalls
            - percent
            - source
          additionalProperties: false
        lastLines:
          type: array
          items:
            type: string
      required:
        - id
        - brand
        - kind
        - pid
        - logPath
        - startedAt
        - finishedAt
        - status
        - progress
        - lastLines
      additionalProperties: false
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: geo.session
      description: Signed HttpOnly browser session cookie
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: gp_live_<43 base64url characters>
      description: Workspace-bound machine API key

````